Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.framework
Class EPPPollDataRecord

    java.lang.Object
      com.verisign.epp.framework.EPPPollDataRecord

    public class EPPPollDataRecord

extends java.lang.Object

The <EPPPollDataRecord> is a class to store the data information.

Version:
  $Revision: 1.3 $
Author:
  $Author: jim $

Field Summary
`static int` | `UNDEFINED` Default value for the size attribute.

Constructor Summary
`EPPPollDataRecord()` Default constructor
`EPPPollDataRecord(java.lang.String aKind, java.lang.Object aData, java.lang.String aMsgId)` Constructor when creating a `EPPPollDataRecord` to place into a queue.
`EPPPollDataRecord(java.lang.String aKind, java.lang.Object aData, java.lang.String aMsgId, java.util.Date queuedDate, int queueSize)` Creates a new EPPPollDataRecord object.

Method Summary
`java.lang.Object` | `getData()` Gets the Object
`java.lang.String` | `getKind()` Gets the type of response message
`java.lang.String` | `getMsgId()` Gets Message Id
`java.util.Date` | `getQDate()` Gets QDate
`int` | `getSize()` Gets number of messages in queue
`void` | `setData(java.lang.Object aData)` Sets data
`void` | `setKind(java.lang.String aKind)` Sets type of response message
`void` | `setMsgId(java.lang.String aMsgId)` Sets the message id
`void` | `setQDate(java.util.Date aQDate)` Sets the date of a message was stored
`void` | `setSize(int aSize)` Sets number of messages

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNDEFINED

    public static final int UNDEFINED

  Default value for the size attribute. The size attribute should be set by the queue when the record is dequeued.

  See Also:
    Constant Field Values

Constructor Detail

### EPPPollDataRecord

    public EPPPollDataRecord()

  Default constructor

### EPPPollDataRecord

    public EPPPollDataRecord(java.lang.String aKind,
                             java.lang.Object aData,
                             java.lang.String aMsgId)

  Constructor when creating a `EPPPollDataRecord` to place into a queue. The size attribute should be set using `setSize` by the queue when a record is dequeued. By default, the size is set to `EPPPollDataRecord.UNDEFINED`.

  Parameters:
    `aKind` - Type of response message
    `aData` - Object
    `aMsgId` - Message Id

### EPPPollDataRecord

    public EPPPollDataRecord(java.lang.String aKind,
                             java.lang.Object aData,
                             java.lang.String aMsgId,
                             java.util.Date queuedDate,
                             int queueSize)

  Creates a new EPPPollDataRecord object.

  Parameters:
    `aKind` - DOCUMENT ME!
    `aData` - DOCUMENT ME!
    `aMsgId` - DOCUMENT ME!
    `queuedDate` - DOCUMENT ME!
    `queueSize` - DOCUMENT ME!

Method Detail

### setKind

    public void setKind(java.lang.String aKind)

  Sets type of response message

  Parameters:
    `aKind` - Type of response message

### setData

    public void setData(java.lang.Object aData)

  Sets data

  Parameters:
    `aData` - Object

### setMsgId

    public void setMsgId(java.lang.String aMsgId)

  Sets the message id

  Parameters:
    `aMsgId` - Message Id

### setQDate

    public void setQDate(java.util.Date aQDate)

  Sets the date of a message was stored

  Parameters:
    `aQDate` - date of message was stored

### setSize

    public void setSize(int aSize)

  Sets number of messages

  Parameters:
    `aSize` - number of messages

### getKind

    public java.lang.String getKind()

  Gets the type of response message

  Returns:
    kind Type of response message.

### getData

    public java.lang.Object getData()

  Gets the Object

  Returns:
    data Object

### getMsgId

    public java.lang.String getMsgId()

  Gets Message Id

  Returns:
    msgId Message Id

### getQDate

    public java.util.Date getQDate()

  Gets QDate

  Returns:
    qDate Date of the message was stored

### getSize

    public int getSize()

  Gets number of messages in queue

  Returns:
    size number of messages

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.